Bug 170546 - kernel_lock() problem through NFS mount
Summary: kernel_lock() problem through NFS mount
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-10-12 18:56 UTC by Linda Wang
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 20:23:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Linda Wang 2005-10-12 18:56:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
We have discovered a problem where the kernel lock is still being held by a process
when it returns to user mode.  This results in other processes that are in the kernel
and want the kernel lock spinning inside of lock_kernel() and reacquire_kernel_lock()
even though the real lock holder is no longer in the kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.9

How reproducible:
Always

Steps to Reproduce:
1.install RHEL4
2.mount a nfs filesystem
3.unlock a nfs mounted file
  

Actual Results:  all sorts of weird behavior happens with kernel lock held and going to user space.. espeically on SMP systems, you can notice the slowness of the system since it renders other cpus useless during swapping to user space.

Expected Results:  On smp kernel, there shouldn't be any slowness when a cpu goes into user space.

Additional info:

Comment 1 Linda Wang 2005-10-12 19:00:24 UTC

*** This bug has been marked as a duplicate of 170545 ***

Comment 7 Red Hat Bugzilla 2006-03-07 20:23:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.